FactoryCreateRule (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.digester.FactoryCreateRule class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.digester
Class FactoryCreateRule

    java.lang.Object
      org.apache.tomcat.util.digester.Rule
          org.apache.tomcat.util.digester.FactoryCreateRule

    public class FactoryCreateRule

extends Rule

Rule implementation that uses an `ObjectCreationFactory` to create a new object which it pushes onto the object stack. When the element is complete, the object will be popped.

This rule is intended in situations where the element's attributes are needed before the object can be created. A common senario is for the ObjectCreationFactory implementation to use the attributes as parameters in a call to either a factory method or to a non-empty constructor.

Field Summary
`protected java.lang.String` | `attributeName` The attribute containing an override class name if it is present.
`protected java.lang.String` | `className` The Java class name of the ObjectCreationFactory to be created.
`protected ObjectCreationFactory` | `creationFactory` The object creation factory we will use to instantiate objects as required based on the attributes specified in the matched XML element.

Fields inherited from class org.apache.tomcat.util.digester.Rule
`digester, namespaceURI`

Constructor Summary
`FactoryCreateRule(java.lang.Class clazz)` Construct a factory create rule that will use the specified class to create an `ObjectCreationFactory` which will then be used to create an object and push it on the stack.
`FactoryCreateRule(java.lang.Class clazz, boolean ignoreCreateExceptions)` Construct a factory create rule that will use the specified class to create an `ObjectCreationFactory` which will then be used to create an object and push it on the stack.
`FactoryCreateRule(java.lang.Class clazz, java.lang.String attributeName)` Construct a factory create rule that will use the specified class (possibly overridden by the specified attribute if present) to create an `ObjectCreationFactory`, which will then be used to instantiate an object instance and push it onto the stack.
`FactoryCreateRule(java.lang.Class clazz, java.lang.String attributeName, boolean ignoreCreateExceptions)` Construct a factory create rule that will use the specified class (possibly overridden by the specified attribute if present) to create an `ObjectCreationFactory`, which will then be used to instantiate an object instance and push it onto the stack.
`FactoryCreateRule(Digester digester, java.lang.Class clazz)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.tomcat.util.digester.Rule)` method. Use `FactoryCreateRule(Class clazz)` instead.
`FactoryCreateRule(Digester digester, java.lang.Class clazz, java.lang.String attributeName)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.tomcat.util.digester.Rule)` method. Use `FactoryCreateRule(Class clazz, String attributeName)` instead.
`FactoryCreateRule(Digester digester, ObjectCreationFactory creationFactory)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.tomcat.util.digester.Rule)` method. Use `FactoryCreateRule(ObjectCreationFactory creationFactory)` instead.
`FactoryCreateRule(Digester digester, java.lang.String className)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.tomcat.util.digester.Rule)` method. Use `FactoryCreateRule(String className)` instead.
`FactoryCreateRule(Digester digester, java.lang.String className, java.lang.String attributeName)` Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.tomcat.util.digester.Rule)` method. Use `FactoryCreateRule(String className, String attributeName)` instead.
`FactoryCreateRule(ObjectCreationFactory creationFactory)` Construct a factory create rule using the given, already instantiated, `ObjectCreationFactory`.
`FactoryCreateRule(ObjectCreationFactory creationFactory, boolean ignoreCreateExceptions)` Construct a factory create rule using the given, already instantiated, `ObjectCreationFactory`.
`FactoryCreateRule(java.lang.String className)` Construct a factory create rule that will use the specified class name to create an `ObjectCreationFactory` which will then be used to create an object and push it on the stack.
`FactoryCreateRule(java.lang.String className, boolean ignoreCreateExceptions)` Construct a factory create rule that will use the specified class name to create an `ObjectCreationFactory` which will then be used to create an object and push it on the stack.
`FactoryCreateRule(java.lang.String className, java.lang.String attributeName)` Construct a factory create rule that will use the specified class name (possibly overridden by the specified attribute if present) to create an `ObjectCreationFactory`, which will then be used to instantiate an object instance and push it onto the stack.
`FactoryCreateRule(java.lang.String className, java.lang.String attributeName, boolean ignoreCreateExceptions)` Construct a factory create rule that will use the specified class name (possibly overridden by the specified attribute if present) to create an `ObjectCreationFactory`, which will then be used to instantiate an object instance and push it onto the stack.

Method Summary
`void` | `begin(java.lang.String namespace, java.lang.String name, org.xml.sax.Attributes attributes)` Process the beginning of this element.
`void` | `end(java.lang.String namespace, java.lang.String name)` Process the end of this element.
`void` | `finish()` Clean up after parsing is complete.
`protected ObjectCreationFactory` | `getFactory(org.xml.sax.Attributes attributes)` Return an instance of our associated object creation factory, creating one if necessary.
`java.lang.String` | `toString()` Render a printable version of this Rule.

Methods inherited from class org.apache.tomcat.util.digester.Rule
`begin, body, body, end, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### attributeName

    protected java.lang.String attributeName

  The attribute containing an override class name if it is present.

### className

    protected java.lang.String className

  The Java class name of the ObjectCreationFactory to be created. This class must have a no-arguments constructor.

### creationFactory

    protected ObjectCreationFactory creationFactory

  The object creation factory we will use to instantiate objects as required based on the attributes specified in the matched XML element.

Constructor Detail

### FactoryCreateRule

    public FactoryCreateRule(Digester digester,
                             java.lang.String className)

  Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.tomcat.util.digester.Rule)` method. Use `FactoryCreateRule(String className)` instead.

  Construct a factory create rule that will use the specified class name to create an `ObjectCreationFactory` which will then be used to create an object and push it on the stack.

  Parameters:
    `digester` - The associated Digester
    `className` - Java class name of the object creation factory class

### FactoryCreateRule

    public FactoryCreateRule(Digester digester,
                             java.lang.Class clazz)

  Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.tomcat.util.digester.Rule)` method. Use `FactoryCreateRule(Class clazz)` instead.

  Construct a factory create rule that will use the specified class to create an `ObjectCreationFactory` which will then be used to create an object and push it on the stack.

  Parameters:
    `digester` - The associated Digester
    `clazz` - Java class name of the object creation factory class

### FactoryCreateRule

    public FactoryCreateRule(Digester digester,
                             java.lang.String className,
                             java.lang.String attributeName)

  Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.tomcat.util.digester.Rule)` method. Use `FactoryCreateRule(String className, String attributeName)` instead.

  Construct a factory create rule that will use the specified class name (possibly overridden by the specified attribute if present) to create an `ObjectCreationFactory`, which will then be used to instantiate an object instance and push it onto the stack.

  Parameters:
    `digester` - The associated Digester
    `className` - Default Java class name of the factory class
    `attributeName` - Attribute name which, if present, contains an override of the class name of the object creation factory to create.

### FactoryCreateRule

    public FactoryCreateRule(Digester digester,
                             java.lang.Class clazz,
                             java.lang.String attributeName)

  Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.tomcat.util.digester.Rule)` method. Use `FactoryCreateRule(Class clazz, String attributeName)` instead.

  Construct a factory create rule that will use the specified class (possibly overridden by the specified attribute if present) to create an `ObjectCreationFactory`, which will then be used to instantiate an object instance and push it onto the stack.

  Parameters:
    `digester` - The associated Digester
    `clazz` - Default Java class name of the factory class
    `attributeName` - Attribute name which, if present, contains an override of the class name of the object creation factory to create.

### FactoryCreateRule

    public FactoryCreateRule(Digester digester,
                             ObjectCreationFactory creationFactory)

  Deprecated. The digester instance is now set in the `Digester.addRule(java.lang.String, org.apache.tomcat.util.digester.Rule)` method. Use `FactoryCreateRule(ObjectCreationFactory creationFactory)` instead.

  Construct a factory create rule using the given, already instantiated, `ObjectCreationFactory`.

  Parameters:
    `digester` - The associated Digester
    `creationFactory` - called on to create the object.

### FactoryCreateRule

    public FactoryCreateRule(java.lang.String className)

  Construct a factory create rule that will use the specified class name to create an `ObjectCreationFactory` which will then be used to create an object and push it on the stack.

  Exceptions thrown during the object creation process will be propagated.

  Parameters:
    `className` - Java class name of the object creation factory class

### FactoryCreateRule

    public FactoryCreateRule(java.lang.Class clazz)

  Construct a factory create rule that will use the specified class to create an `ObjectCreationFactory` which will then be used to create an object and push it on the stack.

  Exceptions thrown during the object creation process will be propagated.

  Parameters:
    `clazz` - Java class name of the object creation factory class

### FactoryCreateRule

    public FactoryCreateRule(java.lang.String className,
                             java.lang.String attributeName)

  Construct a factory create rule that will use the specified class name (possibly overridden by the specified attribute if present) to create an `ObjectCreationFactory`, which will then be used to instantiate an object instance and push it onto the stack.

  Exceptions thrown during the object creation process will be propagated.

  Parameters:
    `className` - Default Java class name of the factory class
    `attributeName` - Attribute name which, if present, contains an override of the class name of the object creation factory to create.

### FactoryCreateRule

    public FactoryCreateRule(java.lang.Class clazz,
                             java.lang.String attributeName)

  Construct a factory create rule that will use the specified class (possibly overridden by the specified attribute if present) to create an `ObjectCreationFactory`, which will then be used to instantiate an object instance and push it onto the stack.

  Exceptions thrown during the object creation process will be propagated.

  Parameters:
    `clazz` - Default Java class name of the factory class
    `attributeName` - Attribute name which, if present, contains an override of the class name of the object creation factory to create.

### FactoryCreateRule

    public FactoryCreateRule(ObjectCreationFactory creationFactory)

  Construct a factory create rule using the given, already instantiated, `ObjectCreationFactory`.

  Exceptions thrown during the object creation process will be propagated.

  Parameters:
    `creationFactory` - called on to create the object.

### FactoryCreateRule

    public FactoryCreateRule(java.lang.String className,
                             boolean ignoreCreateExceptions)

  Construct a factory create rule that will use the specified class name to create an `ObjectCreationFactory` which will then be used to create an object and push it on the stack.

  Parameters:
    `className` - Java class name of the object creation factory class
    `ignoreCreateExceptions` - if true, exceptions thrown by the object creation factory will be ignored.

### FactoryCreateRule

    public FactoryCreateRule(java.lang.Class clazz,
                             boolean ignoreCreateExceptions)

  Construct a factory create rule that will use the specified class to create an `ObjectCreationFactory` which will then be used to create an object and push it on the stack.

  Parameters:
    `clazz` - Java class name of the object creation factory class
    `ignoreCreateExceptions` - if true, exceptions thrown by the object creation factory will be ignored.

### FactoryCreateRule

    public FactoryCreateRule(java.lang.String className,
                             java.lang.String attributeName,
                             boolean ignoreCreateExceptions)

  Construct a factory create rule that will use the specified class name (possibly overridden by the specified attribute if present) to create an `ObjectCreationFactory`, which will then be used to instantiate an object instance and push it onto the stack.

  Parameters:
    `className` - Default Java class name of the factory class
    `attributeName` - Attribute name which, if present, contains an override of the class name of the object creation factory to create.
    `ignoreCreateExceptions` - if true, exceptions thrown by the object creation factory will be ignored.

### FactoryCreateRule

    public FactoryCreateRule(java.lang.Class clazz,
                             java.lang.String attributeName,
                             boolean ignoreCreateExceptions)

  Construct a factory create rule that will use the specified class (possibly overridden by the specified attribute if present) to create an `ObjectCreationFactory`, which will then be used to instantiate an object instance and push it onto the stack.

  Parameters:
    `clazz` - Default Java class name of the factory class
    `attributeName` - Attribute name which, if present, contains an override of the class name of the object creation factory to create.
    `ignoreCreateExceptions` - if true, exceptions thrown by the object creation factory will be ignored.

### FactoryCreateRule

    public FactoryCreateRule(ObjectCreationFactory creationFactory,
                             boolean ignoreCreateExceptions)

  Construct a factory create rule using the given, already instantiated, `ObjectCreationFactory`.

  Parameters:
    `creationFactory` - called on to create the object.
    `ignoreCreateExceptions` - if true, exceptions thrown by the object creation factory will be ignored.

Method Detail

### begin

    public void begin(java.lang.String namespace,
                      java.lang.String name,
                      org.xml.sax.Attributes attributes)
               throws java.lang.Exception

  Process the beginning of this element.

  Overrides:
    `begin` in class `Rule`
  Parameters:
    `attributes` - The attribute list of this element
    `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
    `name` - the local name if the parser is namespace aware, or just the element name otherwise
  Throws:
    `java.lang.Exception`

### end

    public void end(java.lang.String namespace,
                    java.lang.String name)
             throws java.lang.Exception

  Process the end of this element.

  Overrides:
    `end` in class `Rule`
  Parameters:
    `namespace` - the namespace URI of the matching element, or an empty string if the parser is not namespace aware or the element has no namespace
    `name` - the local name if the parser is namespace aware, or just the element name otherwise
  Throws:
    `java.lang.Exception`

### finish

    public void finish()
                throws java.lang.Exception

  Clean up after parsing is complete.

  Overrides:
    `finish` in class `Rule`
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Render a printable version of this Rule.

  Overrides:
    `toString` in class `java.lang.Object`

### getFactory

    protected ObjectCreationFactory getFactory(org.xml.sax.Attributes attributes)
                                        throws java.lang.Exception

  Return an instance of our associated object creation factory, creating one if necessary.

  Parameters:
    `attributes` - Attributes passed to our factory creation element
  Throws:
    `java.lang.Exception` - if any error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.